%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%define distsuffix plf
%endif

%define	major 2
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	A general purpose sound file conversion tool
Name:		sox
Version:	14.4.1
%define subrel	1
Release:	%mkrel 3
License:	LGPLv2+
Group:		Sound/Editors and Converters
URL:		http://sox.sourceforge.net/
Source0:	http://heanet.dl.sourceforge.net/sourceforge/sox/%{name}-%{version}.tar.bz2
Patch0:		sox-14.4.1-CVE-2014-8145.patch
BuildRequires:	ffmpeg-devel
BuildRequires:	file-devel
BuildRequires:	gsm-devel
BuildRequires:	id3tag-devel
BuildRequires:	ladspa-devel
BuildRequires:	libalsa-devel
BuildRequires:	libflac-devel
BuildRequires:	libltdl-devel
BuildRequires:	libpng-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libtheora-devel
BuildRequires:	libtool
BuildRequires:	libwavpack-devel
BuildRequires:	lpc10-devel
BuildRequires:	mad-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	libgomp-devel
%if %build_plf
BuildRequires:	lame-devel
BuildRequires:	libamrwb-devel
BuildRequires:	libamrnb-devel
%endif

%description
SoX (Sound eXchange) is a sound file format converter for Linux,
UNIX and DOS PCs. The self-described 'Swiss Army knife of sound
tools,' SoX can convert between many different digitized sound
formats and perform simple sound manipulation functions,
including sound effects.

Install the sox package if you'd like to convert sound file formats
or manipulate some sounds.

%if %build_plf
This package is in PLF as it was build with lame encoder support, which is in PLF.
%endif

%package -n %{libname}
Summary:	Libraries for SoX
Group:		System/Libraries
Obsoletes:	%mklibname st 0

%description -n	%{libname}
Libraries for SoX.

%package -n %{develname}
Summary:	Development headers and libraries for libst
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%mklibname st 0 -d
Obsoletes:	%mklibname st 0 -d

%description -n	%{develname}
Development headers and libraries for SoX.

%prep
%setup -q
%patch0 -p1 -b .CVE-2014-8145

%build
autoreconf -fi
export CFLAGS="%{optflags} -DHAVE_SYS_SOUNDCARD_H=1 -D_FILE_OFFSET_BITS=64 -fPIC -DPIC"

%configure2_5x --with-distro="%_vendor" \
	--with-ladspa-path=%{_includedir}
%make

%install
%makeinstall_std

ln -sf play %{buildroot}%{_bindir}/rec

cat << EOF > %{buildroot}%{_bindir}/soxplay
#!/bin/sh

%{_bindir}/sox \$1 -t .au - > /dev/audio

EOF
chmod 755 %{buildroot}%{_bindir}/soxplay

ln -snf play %{buildroot}%{_bindir}/rec
ln -s play.1%{_extension} %{buildroot}%{_mandir}/man1/rec.1%{_extension}

find %{buildroot} -name *.la | xargs rm -f
find %{buildroot} -name *.a | xargs rm -f

%files
%doc ChangeLog README NEWS AUTHORS
%{_bindir}/play
%{_bindir}/rec
%{_bindir}/sox*
%{_mandir}/man1/*
%{_mandir}/man7/*

%files -n %{libname}
%{_libdir}/libsox.so.%{major}*

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/libsox.so
%{_libdir}/pkgconfig/sox.pc
%{_mandir}/man3/*


%changelog
* Mon Dec 22 2014 luigiwalser <luigiwalser> 14.4.1-3.1.mga4
+ Revision: 804923
- add upstream changes to fix CVE-2014-8145

* Sat Oct 19 2013 umeabot <umeabot> 14.4.1-3.mga4
+ Revision: 525846
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 14.4.1-2.mga4
+ Revision: 434678
- rebuild for new libpng

* Tue Feb 12 2013 luigiwalser <luigiwalser> 14.4.1-1.mga3
+ Revision: 398166
- 14.4.1
- remove upstreamed automake 1.13 patch

* Mon Jan 14 2013 umeabot <umeabot> 14.4.0-4.mga3
+ Revision: 382398
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 14.4.0-3.mga3
+ Revision: 339774
- patch1: fix build with automake 1.13

* Tue Nov 27 2012 zezinho <zezinho> 14.4.0-2.mga3
+ Revision: 322460
- fix rpm group

* Sun Jul 29 2012 luigiwalser <luigiwalser> 14.4.0-1.mga3
+ Revision: 275815
- fix library major
- remove no longer needed patch

  + fwang <fwang>
    - new version 14.4.0
    - fix build with latest ffmpeg

* Tue May 29 2012 fwang <fwang> 14.3.2-4.mga3
+ Revision: 248998
- rebuild for new ffmpeg

* Sat Sep 10 2011 fwang <fwang> 14.3.2-3.mga2
+ Revision: 142126
- rebuild for new libpng

* Fri Jun 24 2011 fwang <fwang> 14.3.2-2.mga2
+ Revision: 113136
- fix build with ffmpeg 0.8
- rebuild for new ffmpeg

* Thu Apr 14 2011 tv <tv> 14.3.2-1.mga1
+ Revision: 85171
- new release

* Thu Jan 20 2011 ahmad <ahmad> 14.3.0-3.mga1
+ Revision: 26033
- drop old/unneeded scriptlets
- don't ship .la or .a
- imported package sox

